diff -uNrd ircd-ratbox-1.5-2/.cvsignore ircd-rb-FDF6.3a/.cvsignore
--- ircd-ratbox-1.5-2/.cvsignore	Fri Dec 14 03:49:18 2001
+++ ircd-rb-FDF6.3a/.cvsignore	Mon Feb  9 17:22:57 2004
@@ -1,7 +1,4 @@
-config.log
+Makefile
 config.cache
+config.log
 config.status
-Makefile
-lint.out
-rsa_respond.tar.gz
-.depend
diff -uNrd ircd-ratbox-1.5-2/.indent.pro ircd-rb-FDF6.3a/.indent.pro
--- ircd-ratbox-1.5-2/.indent.pro	Thu Jun 26 10:00:22 2003
+++ ircd-rb-FDF6.3a/.indent.pro	Mon Jan 19 22:25:59 2004
@@ -1,4 +1,4 @@
-/* $Id: .indent.pro,v 1.6.4.1 2003/06/26 14:00:22 androsyn Exp $ */
+/* $Id: .indent.pro,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $ */
 /* copy this file to the source dir then run indent file.c */
 
 --gnu-style
diff -uNrd ircd-ratbox-1.5-2/BUGS ircd-rb-FDF6.3a/BUGS
--- ircd-ratbox-1.5-2/BUGS	Thu Jun 26 10:00:22 2003
+++ ircd-rb-FDF6.3a/BUGS	Mon Jan 19 22:25:59 2004
@@ -57,4 +57,4 @@
  in case the developers need more information.
 
 --------------------------------------------------------------------------------
-$Id: BUGS,v 7.61.6.1 2003/06/26 14:00:22 androsyn Exp $
+$Id: BUGS,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $
diff -uNrd ircd-ratbox-1.5-2/CREDITS ircd-rb-FDF6.3a/CREDITS
--- ircd-ratbox-1.5-2/CREDITS	Tue Mar 23 12:35:50 2004
+++ ircd-rb-FDF6.3a/CREDITS	Thu Apr  1 15:45:48 2004
@@ -1,4 +1,4 @@
-$Id: CREDITS,v 1.9.14.3 2004/03/23 17:35:50 leeh Exp $
+$Id: CREDITS,v 1.1.1.2 2004/04/01 20:45:48 jailbird Exp $
  
 ircd-ratbox is an evolution where ircd-hybrid left off around version 7-rc1.  
 Currently the ircd-ratbox consists of the following developers:
diff -uNrd ircd-ratbox-1.5-2/CVS-Access ircd-rb-FDF6.3a/CVS-Access
--- ircd-ratbox-1.5-2/CVS-Access	Mon Mar 15 16:19:12 2004
+++ ircd-rb-FDF6.3a/CVS-Access	Thu Apr  1 15:45:49 2004
@@ -1,4 +1,4 @@
-$Id: CVS-Access,v 1.2.6.3 2004/03/15 21:19:12 androsyn Exp $
+$Id: CVS-Access,v 1.1.1.2 2004/04/01 20:45:49 jailbird Exp $
 
 The ircd-ratbox CVS repository is available for anonymous access.
 
diff -uNrd ircd-ratbox-1.5-2/ChangeLog ircd-rb-FDF6.3a/ChangeLog
--- ircd-ratbox-1.5-2/ChangeLog	Thu Jun 17 14:01:59 2004
+++ ircd-rb-FDF6.3a/ChangeLog	Thu Jun 17 18:20:37 2004
@@ -1,3 +1,15 @@
+androsyn    2004/06/17 16:05:47 EDT	(20040617_4)
+
+  Modified files:        (Branch: RATBOX_1)
+    include              patchlevel.h 
+  Log:
+  Increment patchlevel to 1.5-2
+  
+  Revision   Changes    Path
+  7.50.2.25  +1 -1      ircd-ratbox/include/patchlevel.h
+
+
+
 androsyn    2004/06/17 14:01:47 EDT	(20040617_3)
 
   Modified files:        (Branch: RATBOX_1)
diff -uNrd ircd-ratbox-1.5-2/Hybrid-team ircd-rb-FDF6.3a/Hybrid-team
--- ircd-ratbox-1.5-2/Hybrid-team	Sat Jul 13 21:30:27 2002
+++ ircd-rb-FDF6.3a/Hybrid-team	Mon Jan 19 22:25:59 2004
@@ -1,4 +1,4 @@
-$Id: Hybrid-team,v 7.52 2002/07/14 01:30:27 androsyn Exp $
+$Id: Hybrid-team,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $
 
 The hybrid team is a group of ircd coders who were frustrated
 with the instability and all-out "dirtiness" of the EFnet ircd's
diff -uNrd ircd-ratbox-1.5-2/INSTALL ircd-rb-FDF6.3a/INSTALL
--- ircd-ratbox-1.5-2/INSTALL	Mon Mar 15 13:19:43 2004
+++ ircd-rb-FDF6.3a/INSTALL	Thu Apr  1 15:45:49 2004
@@ -1,6 +1,6 @@
                             Hybrid INSTALL Document
 
-   $Id: INSTALL,v 7.34.6.1 2004/03/15 18:19:43 leeh Exp $
+   $Id: INSTALL,v 1.1.1.2 2004/04/01 20:45:49 jailbird Exp $
 
    Copyright (c) 2001 by ircd-hybrid team
    Copyright (c) 2002-2004 ircd-ratbox development team
diff -uNrd ircd-ratbox-1.5-2/LICENSE ircd-rb-FDF6.3a/LICENSE
--- ircd-ratbox-1.5-2/LICENSE	Sat Jan  5 04:14:20 2002
+++ ircd-rb-FDF6.3a/LICENSE	Mon Jan 19 22:25:59 2004
@@ -1,4 +1,4 @@
-# $Id: LICENSE,v 7.3 2002/01/05 09:14:20 a1kmm Exp $
+# $Id: LICENSE,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $
 		    GNU GENERAL PUBLIC LICENSE
 		       Version 2, June 1991
 
diff -uNrd ircd-ratbox-1.5-2/README.FDF.NOW ircd-rb-FDF6.3a/README.FDF.NOW
--- ircd-ratbox-1.5-2/README.FDF.NOW	Wed Dec 31 19:00:00 1969
+++ ircd-rb-FDF6.3a/README.FDF.NOW	Sat Jun 19 22:45:22 2004
@@ -0,0 +1,362 @@
+==================
+=Revision History=
+==================
+!!! = Changed
++++ = Added
+--- = Removed
+
+FEFr1: (Runt)
+!!! The length of nicks allowed changed from 9 to 15.
+!!! Each channel is now allowed 50 bans, instead of 25.
+!!! The default config.h value for the max. channels per user is now 20.
++++ Banned users cannot talk. (UnderNet bquiet patch)
+
+FEFr2: (Runt)
+!!! Nothing changed in the hybrid-5 release of FEFr2.
+
+FEFr3: (JailBird)
+!!! TOPIC lengths changed from 80 bytes to 255.
++++ Added/Enhanced DalNet U:'s added
+
+FEFr4wb5 (wide-beta 5): (Runt/JailBird)
++++ WHOIS_SIGNON_TIME; shows when a user signed on in /whois. (Runt)
+    (deprecated by hybrid-7)
++++ OPERS_SEE_INVISIBLE; allows opers to see +i users. (Runt)
++++ OPERS_SEE_PRIV; allows opers to see +s/+p chans. (Runt)
++++ DalNet Q:'s added. (JailBird) (integrated in hybrid-6.3.1)
++++ STOPIC; TS-synched channel TOPICs. (JailBird) (replaced w/ TBURST from
+    contrib).
+!!! U-lined servers can now send to channels, regardless of modes. (JailBird)
+
+Changes made from +th FEFr4wb5 to +hybrid-5 FEFr4wb5: (JailBird)
++++ HYBRID_ONLY; allow links from +hybrid servers only.
++++ NETNAME; Set the name of the network in the welcome message.
+
+FEFr4: (JailBird)
++++ IDENTD_ONLY; Reject any users not running identd if the I: line calls
+    for it. (Taken from +CSr30) (moved to I: lines in hybrid-6.3.1)
++++ NO_RED_MODES; Reject any duplicate channel modes. (Taken from +CSr30)
++++ IDLE_CHECK; Reject any idle clients. (Taken from +CSr30)
+    (integrated in hybrid-6.3.1)
++++ CHECK_CLONE; Reject any clonebots. (Taken from ircu)
++++ REMOTE_WHOIS; Shows if a remote user /wii's you, while OPERd.
++++ KLINE_CLONES; Will automatically K: line any clonebotters.
+
+Changes made from +th FEFr4 to +hybrid-5 FEFr4: (JailBird)
+!!! Replaced the +CSr25 CLONE_CHECK code with the UnderNet CHECK_CLONE code.
+!!! Reinstated the *@* I: code.  PLEASE USE *@* IN YOUR I: LINES!
+
+FEFr4.1: (JailBird) (Nothing really added, so we just added .1 :) )
+!!! Upgraded the base code from +hybrid-5 to +hybrid-5.3
+    See README.hybrid for those changes.
+--- ANTI_IP_SPOOF was broke in hyb5.3. DON'T USE!
+!!! Fixed buffer overrun in m_stopic.
+!!! Moved RES_SRC to main Makefile.
+!!! Fixed WHOIS_SIGNON_TIME code.
+!!! Cleaned up all gcc warnings.
++++ Added fixes from FEFr4-withfixes.
+!!! Optimized for FEFnet.
+
+FEFr4.2 (JailBird) (bug fixes galore!)
+!!! Updated base code to hybrid-5.3p2
++++ Added NULL checking in m_stopic() to prevent malicious server attacks.
++++ Readded the varargs code, yet changed it to the ANSIfied 'stdargs' in the
+    process. Stdargs is now required, which shouldn't be a problem.
+    (integrated in hybrid-6)
+!!! Replaced the EFnet ircsprintf.c with UnderNet's. It's faster and more
+    flexible. (integrated in hybrid-6)
+!!! Fixed Taner's ugly oper UMODES code. (integrated in hybrid-6.3.1, I THINK)
+!!! Fixed problem with ircd overflowing when looking up access for long hosts.
+    (integrated in hybrid-6.3.1, I THINK)
+!!! Reverted I: lines to our old th-style lines. The server will now ALWAYS
+    check identd, but will only complain/reject if you have a '@' in the I:
+    lines (aka *@*).  This means you can allow non-identd users by adding a
+    I: line for them without the @.  ALL DEFAULT I: LINES SHOULD USE '*@*'!
+--- Removed FOLLOW_IDENT_RFC because of above change.  identd is always checked
+    now.
+--- Removed DO_IDENTD for the same reason. :)
++++ Added NO_REMOTE_INFO to disable INFO requests by remote clients. This helps
+    stop remote clients from splitting servers by flooding remote servers with
+    INFO requests.
+--- Removed the code in channel.c that blasted the TS on a channel when a non-U:
+    server sent a +o MODE.  This is unneeded as the only non-TS servers on our
+    nets are services, which are U:'d. Only a rogue server should ever do this,
+    and if it does, the hacker did a bad job in coding it :).
+    (superseded in hybrid-6.3.1)
+!!! Fixed anti-DNS spoofing /whois code (aka the IP in /whois).
+!!! Changed m_topic so users can see topics on non-secret channels even if
+    they're not in the channel (they can already see it in /list!)
++++ Added OPERS_SEE_TOPIC, which lets Opers see the topics in any channel.
+--- Removed OPERWALL command. It's unneeded and was requested by Dianora :).
+--- Removed KLINE_CLONES option. It simply does NOT work with the UnderNet
+    clone code that we use.  This is a job for the tcm anyways.
+--- Removed NO_RED_MODES. This "feature" could cause channels to become
+    desynched.
+
+FEFr4.3 (JailBird) (watch the bloatware continue!)
++++ Readded SHOW_QUIT - Shows the client's quit reason.
++++ identd-replies of '~' are not longer considered valid.
+    (superseded in hybrid-6.3.1)
++++ The code will now compile cleanly on an Alpha.
+    (integrated in hybrid-6)
+!!! Updated base code to hybrid-5.3p4
+--- Removed NO_REMOTE_INFO, obseleted by 5.3p4
+
+FEFr4.3a (JailBird) (oops!)
+!!! hybrid-5.3p4 redid m_topic(), which killed our U: code.
+
+
+FEFr4.4 (JailBird)
+!!! Fixed proc_answer() code in res.c so that it is now portable.
+    (integrated in hybrid-6)
+!!! Cleaned-up m_stopic()
+!!! Fixed ANTI_IP_SPOOF
++++ Readded AWAY propogation
+!!! Added NO_OPER_FLOOD code to the flud code (integrated in hybrid-6.3.1,
+    I THINK)
+!!! Upgraded base code to hybrid-5.3p6
+!!! Fixed bug in configure script that prevented it from detecting
+    what kind of non-blocking code to use on Linux glibc2 systems.
+    This caused a blocking version to be built, which caused "lockups".
+    (integrated in hybrid-6)
+
+FEFr4.5 (JailBird)
+!!! Updated base code to hybrid-5.3p7.
++++ Added MacOSX compatibility patch by cybin. (integrated in hybrid-6)
+!!! Changed ANTI_IP_SPOOF PING to an unsigned (positive) number.
+!!! Fixed problem with the stdargs vsendto_one() function sending 550-byte
+    packets. (integrated in hybrid-6)
+!!! Renamed existing doc/example.conf to doc/example.conf.bill and wrote
+    a new simplistic doc/exmaple.conf.
+!!! Fixed configure script to automatically setup CC/CFLAGS/IRCDLIBS.  This
+    should fix the "-lcrypt -lresolv" crap. (superseded in hybrid-6)
+
+FEFr4.5a (JailBird)
+!!! Reverted the ANTI_IP_SPOOF PINGs back to signed due to atoi().
+
+FEFr4.6
++++ Readded the old inu+JB patch.
+
+FDFr1
+!!! Upgrade base code to hybrid-6.0
+!!! Changed name of ircd from +FEF to +FDF, since Runt and I are both
+    on FDFnet now.
+!!! VERY IMPORTANT: U: lines are now S: lines!!!
++++ Added FDF_ONLY: Allows connections only from other FDFr5b1 servers.
++++ Added SNICK Support: Services can now force nick changes.
++++ Added DalNet's +c channel mode. Channels that are +c'd will not allow
+    mIRC color or ANSI color to be sent to them.
+--- Removed K_LINES_OPER_ONLY. hybrid-6 will now show non-ops any K:
+    lines that match their hostmask.  This is better.
+!!! The server was ignoring MODE changes from servers, which was breaking
+    INU_SERV_CAN_OP. Fixed.
++++ Added support for JB_SERV_CAN_KICK.
++++ Added +FDF config.h settings to /info reply.
+!!! Fixed autoconf so that it defaults to building a stripped binary.
++++ Readded the UnderNet bquiet patch.
+!!! Fixed identd bug from hybrid-6 code change.
+!!! Fixed OPERS_SEE_INVISIBLE code when doing a /list. This was due
+    to cloning of code in hybrid-6's m_list().
+!!! Fixed the anti-DNS spoofing code (aka IP in /whois). Also changed it
+    so that only IRCops can see the IP. This works better with I-line
+    spoofing.
+!!! Fixed the HACK mesage when people use INU_IGNORE_BANS.
+!!! Fixed REMOTE_WHOIS
++++ If a user doesn't have identd and a '-' in their I: line, then the server
+    will send a NOTICE explaining why they have a '~' in their username.
+!!! Moved opers.txt into the DPATH so that /quote help will work.
+!!! Bumped MAX_BUFFERS down to 10 from 60.
+!!! Changed default config to NO_JOIN_ON_SPLIT_SIMPLE instead of
+    NO_OPS_ON_SPLIT. Hopefully not letting people JOIN channels on
+    split servers will remove the reason to DoS servers.
+--- Removed code to allow people to netsplit hack ops on channels
+    that do not have ops. This is to reduce DoS value.
++++ Added irc.best.net patch to show port numbers in unauthorized client
+    connection messages.
+!!! Hub servers should read the "Important" section below.
++++ Added INFO_OPER_ONLY in order to only allow /info requests from
+    IRC Ops.
+!!! Changed GLINE code so that only 2 opers are required, not 3.
+!!! Changed GLINE code so that GLINEs from S: lined servers are added
+    immediately.
+!!! Disabled DEBUG mode, which should speed-up the server.
+!!! Offical configure command-line for gcc users (using sh,ksh,bash):
+    CC="gcc" CFLAGS="-O6 -fomit-frame-pointer -pipe -w -s" LDFLAGS="-s" \
+    ./configure
+!!! Fixed AlcServ/ErisServ by readding IRCII_KLUDGE code
+!!! Fixed bug were remote nicknames trying to introduce servers would core
+    the server.
++++ IDLE_RESET - Lets you /quote IDLE to set your idle time. -Runt
+--- Removed SHOW_QUIT. This has been superceeded by WINTRHAWK
+
+FDFr5
+!!! Upgraded base code to hybrid-6.2
+--- Removed NETNAME, replaced by hybrid's NETWORK_NAME
+--- Removed HYBRID_ONLY, hybrid-6.2 is effectivly 'HYBRID_ONLY'
+!!! Changed name of server back to +FEF
+!!! Changed FDF_ONLY to FEF_ONLY. The code still passes 'FDF' however, so that
+    it will be backwards compatible.
+!!! Cleaned-up #ifdef's so that the code will compile with gcc 3.0.1
+
+FDFr5.1
+!!! Upgraded base code to hybrid-6.3.1
+!!! Hard-coded FEF_ONLY.  We are always FEF-only now.
+!!! Hard-coded TS5.  We always do TS5.
+!!! Hard-coded TS5_ONLY.  I'm a bastard :)
+!!! Hard-coded BAN_INFO.  Services needs this.
+!!! Hard-coded USE_UH.  Services needs this.
++++ n!u@h is now used for TOPICs instead of just nicks.
+!!! Finally fixed ANTI_IP_SPOOF code to not send negative ping values
+!!! Fixed problem with services adding G: lines.
+--- Removed 'normal' messages.tab and replaced with CUSTOM_ERR version. It's
+    more humorous :)
+
+FDFr5.2
+!!! Fixed ANTI_IP_SPOOF that I broke *sigh*.
+!!! Cleaned-up hybrid identd code.
++++ Added UNGLINE propogation for services, so services can globally UNGLINE
+    somebody.
+!!! Changed default GLINE time from 12 hours to 72.
+!!! Hard-coded GLINES, so that services can use it globally.
+!!! Removed NO_FAKE_GLINES code so that services can remove glines globally.
+!!! Removed IGNORE_BOGUS_TS code so TS won't get desynched on the network.
+
+FDFr5.3
+!!! Fixed STOPIC bug found by klik.
++++ The log file (if enabled) will not be closed and reopened when the server
+    is rehashed. (Requested by Ryan)
+
+FDFr5.4
+!!! Upgraded base code to hybrid-6.4.1.
+!!! On SNICK, just truncate the nick if it's > then NICKLEN, don't kill it.
+!!! Fixed bug where topic user could be cut-off by one char.
+--- Removed REMOTE_WHOIS. This has been superceeded by SHOW_REMOTE_WHOIS.
+!!! Instead of KILLing bad or duplicate nicks, SNICK just now ignores them.
+    It is up to the sending service to check for dupes before it sends SNICK.
+
+FDFr6
+!!! Upgraded base code to ircd-ratbox-1.3-1 (based off of hybrid 7.0-STABLE).
+--- Removed STOPIC.  Replaced w/ hybrid's TBURST.
+--- Removed WHOIS_SIGNON_TIME.  Deprecated by hybrid-7.0.
++++ UNGLINEs from services are now propogated.
+!!! Back-ported some fixes from ircd-ratbox STABLE CVS.
+!!! Added stats spy modules from contrib/.
+NOTE: convertconf & convertilines DO work, but I recommend that you rebuild
+      your ircd.conf from hand using example.conf as a guide.
+NOTE: MAKE SURE you edit the modules path in your ircd.conf!
+
+FDFr6a
+!!! Fixed problem where S:'d /kills can core the server.
+
+FDFr6.1
+!!! Upgraded base code to ratbox-1.4-1 (actually, a CVS copy from
+    20040421, which includes a mIRC fix).
+!!! Fixed S:'d /kill for real this time.
+
+FDFr6.2
+!!! Upgraded base code to ratbox-1.4-2 final.  Main change is a split_delay
+    fix.
+
+FDFr6.3
+!!! Upgraded base code to ratbox-1.5-2
+!!! Merged opers_see_invis and opers_see_priv into one opers_see_hidden.
+!!! Fixed opers_see_hidden not working completely in /who requests.
+!!! Revered UNGLINE back to stock ratbox code (aka only remove the first
+    matching GLINE).
+!!! A few minor channel mode +c fixes.
+!!! Backported ms_sjoin() cleanup from ratbox-2.
+!!! Fixed a crasher when trying to use the server_can_op hack on a channel that
+    doesn't exist.
++++ Added channel mode +z.  This is can only be set via services, or the forced
+    join hack (and only -z'd from the user himself).  +z keeps a user from
+    getting kicked or deop'd in a channel.
+!!! Made servlink/io.c C99 compliant by changing to uint32_t.
+
+FDFr6.3a
+!!! Rolled ms_sjoin() code back.
+
+===========
+=Important=
+===========
+
+Stated again:
+NOTE: convertconf & convertilines DO work, but I recommend that you rebuild
+      your ircd.conf from hand using example.conf as a guide.
+NOTE: MAKE SURE you edit the modules path in your ircd.conf!
+
+If you are running a *HUB SERVER*
+
+MAKE SURE YOU CHANGE THE SPLIT SETTINGS IN YOUR IRCD.CONF!
+
+SPLIT_SMALLNET_SIZE should be roughly the number of servers on your network,
+minus a couple as a buffer.
+
+SPLIT_SMALLNET_USER_SIZE should be the LOWEST number of users seem at any
+given time on the network, minus about 10-20 or so as a buffer.
+
+Also make sure that hub is set to 'yes' in your ircd.conf!
+
+==================
+=Support Channels=
+==================
+
+On FEFnet: Join #continuum
+On FDFnet: Join #FDFworld
+
+=========
+=Authors=
+=========
+
+The authors of the +FDF server are:
+
+    John "Runt" Leslie         - john@stf.org
+    Dustin "JailBird" Marquess - jailbird@alcatraz.fdf.net
+    Steve "inubus" White       - subuni@users.sourceforge.net
+
+=========
+=Credits=
+=========
+
+We would like to thank the original ircd team for their work.  We would also
+like to thank digital, Taner Halicioglu, the Hybrid team, and the ratbox team 
+for their work on the base code. Out of the Hybrid team, special thanks goes to
+Dianora, who helped us, even though she didn't have to.
+
+Also thanks to Ryan Kubica on FEFnet for writing services and exploiting our
+S: code to make it work :).
+
+==============
+=Distribution=
+==============
+
+The FDFnet ircd is officially available via FTP from the following locations:
+
+ftp://bobdole.fdf.net/pub/irc/
+
+It is also usually mirrored at:
+
+ftp://ftp.liii.com/pub/unix/irc/
+ftp://ftp.bitchx.org/pub/servers/
+
+You can also obtain the newest code in development using CVS. Here at the
+steps needed to pull this off:
+
+1) Get cvs if you don't have it.
+2) cvs -d :pserver:anonymous@sanitarium.fdf.net:/repository login
+   Just hit enter when prompted for a password.
+3) cvs -d :pserver:anonymous@sanitarium.fdf.net:/repository co ircd-rb-FEF6
+
+This will create a directory called "ircd-rb-FEF6" under the current directory that
+will contain the current source code.  To update the code in the future, run:
+
+        cvs update       (from the ircd-rb-FEF6 dir)
+
+NOTE: The CVS tree is used for development of the ircd.  This code may be
+      unstable and buggy.  The good part about using this tree, is it's always
+      the newest code! :).
+
+You can also accesss the CVS tree via the web at:
+http://sanitarium.fdf.net:8080/perl-cgi/cvsweb.pl/ircd-rb-FEF6/
+
+                                        -Dustin "JailBird" Marquess
+
diff -uNrd ircd-ratbox-1.5-2/README.FIRST ircd-rb-FDF6.3a/README.FIRST
--- ircd-ratbox-1.5-2/README.FIRST	Thu Jun 26 10:00:24 2003
+++ ircd-rb-FDF6.3a/README.FIRST	Mon Jan 19 22:25:59 2004
@@ -105,4 +105,4 @@
 - Other files recommended for reading: BUGS, INSTALL
 
 --------------------------------------------------------------------------------
-$Id: README.FIRST,v 7.38.6.1 2003/06/26 14:00:24 androsyn Exp $
+$Id: README.FIRST,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $
diff -uNrd ircd-ratbox-1.5-2/README.VMS ircd-rb-FDF6.3a/README.VMS
--- ircd-ratbox-1.5-2/README.VMS	Thu Jun 26 10:00:24 2003
+++ ircd-rb-FDF6.3a/README.VMS	Mon Jan 19 22:25:59 2004
@@ -44,4 +44,4 @@
 binary distributions are available on the FTP site.
 (actually, they aren't yet, but at some time in the future they should be)
 
-$Id: README.VMS,v 1.12.2.1 2003/06/26 14:00:24 androsyn Exp $
+$Id: README.VMS,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $
diff -uNrd ircd-ratbox-1.5-2/RELNOTES ircd-rb-FDF6.3a/RELNOTES
--- ircd-ratbox-1.5-2/RELNOTES	Thu Jun 17 14:01:35 2004
+++ ircd-rb-FDF6.3a/RELNOTES	Thu Jun 17 18:21:01 2004
@@ -50,4 +50,4 @@
 Other files recommended for reading: BUGS, README.FIRST, INSTALL
 
 --------------------------------------------------------------------------------
-$Id: RELNOTES,v 1.77.2.46 2004/06/17 18:01:35 androsyn Exp $
+$Id: RELNOTES,v 1.7 2004/06/17 22:21:01 jailbird Exp $
diff -uNrd ircd-ratbox-1.5-2/adns/adns.h ircd-rb-FDF6.3a/adns/adns.h
--- ircd-ratbox-1.5-2/adns/adns.h	Tue Oct 29 20:01:04 2002
+++ ircd-rb-FDF6.3a/adns/adns.h	Mon Jan 19 22:25:59 2004
@@ -51,7 +51,7 @@
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  *
  *
- *  $Id: adns.h,v 1.9 2002/10/30 01:01:04 androsyn Exp $
+ *  $Id: adns.h,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $
  */
 
 #ifndef ADNS_H_INCLUDED
diff -uNrd ircd-ratbox-1.5-2/adns/check.c ircd-rb-FDF6.3a/adns/check.c
--- ircd-ratbox-1.5-2/adns/check.c	Fri May 24 19:34:01 2002
+++ ircd-rb-FDF6.3a/adns/check.c	Mon Jan 19 22:25:59 2004
@@ -24,7 +24,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: check.c,v 1.6 2002/05/24 23:34:01 androsyn Exp $
+ * $Id: check.c,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.5-2/adns/descrip.mms ircd-rb-FDF6.3a/adns/descrip.mms
--- ircd-ratbox-1.5-2/adns/descrip.mms	Mon Feb  4 16:07:44 2002
+++ ircd-rb-FDF6.3a/adns/descrip.mms	Mon Jan 19 22:25:59 2004
@@ -8,7 +8,7 @@
 # $ COPY [.include]setup.h_vms [.include]setup.h
 # $ MMS IRCD.EXE
 #
-# $Id: descrip.mms,v 1.2 2002/02/04 21:07:44 ejb Exp $
+# $Id: descrip.mms,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $
 
 CC=	CC
 CFLAGS=	/INCLUDE_DIRECTORY=([-.INCLUDE],[])/STANDARD=ISOC94
diff -uNrd ircd-ratbox-1.5-2/adns/dlist.h ircd-rb-FDF6.3a/adns/dlist.h
--- ircd-ratbox-1.5-2/adns/dlist.h	Fri Jan  4 00:02:21 2002
+++ ircd-rb-FDF6.3a/adns/dlist.h	Mon Jan 19 22:25:59 2004
@@ -24,7 +24,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: dlist.h,v 1.5 2002/01/04 05:02:21 db Exp $
+ * $Id: dlist.h,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $
  */
 
 #ifndef ADNS_DLIST_H_INCLUDED
diff -uNrd ircd-ratbox-1.5-2/adns/event.c ircd-rb-FDF6.3a/adns/event.c
--- ircd-ratbox-1.5-2/adns/event.c	Thu Jun 26 10:00:46 2003
+++ ircd-rb-FDF6.3a/adns/event.c	Mon May 31 21:35:48 2004
@@ -26,7 +26,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: event.c,v 1.20.2.1 2003/06/26 14:00:46 androsyn Exp $
+ * $Id: event.c,v 1.2 2004/06/01 01:35:48 jailbird Exp $
  */
 
 #include "stdinc.h"
@@ -269,7 +269,6 @@
       abort();
     }
   }
-  return;
 }
 
 void adns__timeouts(adns_state ads, int act,
diff -uNrd ircd-ratbox-1.5-2/adns/general.c ircd-rb-FDF6.3a/adns/general.c
--- ircd-ratbox-1.5-2/adns/general.c	Thu Jun 26 10:00:46 2003
+++ ircd-rb-FDF6.3a/adns/general.c	Mon Jan 19 22:25:59 2004
@@ -25,7 +25,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: general.c,v 1.12.2.1 2003/06/26 14:00:46 androsyn Exp $
+ * $Id: general.c,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.5-2/adns/internal.h ircd-rb-FDF6.3a/adns/internal.h
--- ircd-ratbox-1.5-2/adns/internal.h	Tue Oct 29 20:02:36 2002
+++ ircd-rb-FDF6.3a/adns/internal.h	Mon Jan 19 22:25:59 2004
@@ -26,7 +26,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  *
- * $Id: internal.h,v 1.12 2002/10/30 01:02:36 androsyn Exp $
+ * $Id: internal.h,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $
  */
 
 #ifndef ADNS_INTERNAL_H_INCLUDED
diff -uNrd ircd-ratbox-1.5-2/adns/parse.c ircd-rb-FDF6.3a/adns/parse.c
--- ircd-ratbox-1.5-2/adns/parse.c	Thu Jun 26 10:00:46 2003
+++ ircd-rb-FDF6.3a/adns/parse.c	Mon Jan 19 22:25:59 2004
@@ -24,7 +24,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: parse.c,v 1.7.6.1 2003/06/26 14:00:46 androsyn Exp $
+ * $Id: parse.c,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.5-2/adns/query.c ircd-rb-FDF6.3a/adns/query.c
--- ircd-ratbox-1.5-2/adns/query.c	Thu Jun 26 10:00:47 2003
+++ ircd-rb-FDF6.3a/adns/query.c	Mon Jan 19 22:25:59 2004
@@ -26,7 +26,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: query.c,v 1.18.2.1 2003/06/26 14:00:47 androsyn Exp $
+ * $Id: query.c,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.5-2/adns/reply.c ircd-rb-FDF6.3a/adns/reply.c
--- ircd-ratbox-1.5-2/adns/reply.c	Thu Jun 26 10:00:47 2003
+++ ircd-rb-FDF6.3a/adns/reply.c	Mon Jan 19 22:25:59 2004
@@ -24,7 +24,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: reply.c,v 1.9.2.1 2003/06/26 14:00:47 androsyn Exp $
+ * $Id: reply.c,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.5-2/adns/setup.c ircd-rb-FDF6.3a/adns/setup.c
--- ircd-ratbox-1.5-2/adns/setup.c	Thu Aug 14 19:26:09 2003
+++ ircd-rb-FDF6.3a/adns/setup.c	Mon Jan 19 22:25:59 2004
@@ -25,7 +25,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: setup.c,v 1.29.2.2 2003/08/14 23:26:09 leeh Exp $
+ * $Id: setup.c,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.5-2/adns/transmit.c ircd-rb-FDF6.3a/adns/transmit.c
--- ircd-ratbox-1.5-2/adns/transmit.c	Thu Jun 26 10:00:47 2003
+++ ircd-rb-FDF6.3a/adns/transmit.c	Mon Jan 19 22:25:59 2004
@@ -25,7 +25,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: transmit.c,v 1.11.16.1 2003/06/26 14:00:47 androsyn Exp $
+ * $Id: transmit.c,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.5-2/adns/tvarith.h ircd-rb-FDF6.3a/adns/tvarith.h
--- ircd-ratbox-1.5-2/adns/tvarith.h	Fri Apr  6 05:30:37 2001
+++ ircd-rb-FDF6.3a/adns/tvarith.h	Mon Jan 19 22:25:59 2004
@@ -24,7 +24,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  *
- * $Id: tvarith.h,v 1.3 2001/04/06 09:30:37 a1kmm Exp $
+ * $Id: tvarith.h,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $
  */
 
 #ifndef ADNS_TVARITH_H_INCLUDED
diff -uNrd ircd-ratbox-1.5-2/adns/types.c ircd-rb-FDF6.3a/adns/types.c
--- ircd-ratbox-1.5-2/adns/types.c	Thu Jun 26 10:00:47 2003
+++ ircd-rb-FDF6.3a/adns/types.c	Mon Jan 19 22:25:59 2004
@@ -24,7 +24,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: types.c,v 1.12.2.1 2003/06/26 14:00:47 androsyn Exp $
+ * $Id: types.c,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.5-2/autoconf/acconfig.h ircd-rb-FDF6.3a/autoconf/acconfig.h
--- ircd-ratbox-1.5-2/autoconf/acconfig.h	Thu Jun 26 10:00:55 2003
+++ ircd-rb-FDF6.3a/autoconf/acconfig.h	Mon Jan 19 22:25:59 2004
@@ -1,5 +1,5 @@
 /*
- * $Id: acconfig.h,v 7.28.4.1 2003/06/26 14:00:55 androsyn Exp $
+ * $Id: acconfig.h,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $
  */
 
 /* Define with our select type */
diff -uNrd ircd-ratbox-1.5-2/autoconf/configure.in ircd-rb-FDF6.3a/autoconf/configure.in
--- ircd-ratbox-1.5-2/autoconf/configure.in	Mon May 31 21:02:11 2004
+++ ircd-rb-FDF6.3a/autoconf/configure.in	Tue Jun  1 12:28:41 2004
@@ -1,4 +1,4 @@
-dnl $Id: configure.in,v 7.174.2.5 2004/06/01 01:02:11 androsyn Exp $
+dnl $Id: configure.in,v 1.3 2004/06/01 16:28:41 jailbird Exp $
 dnl Process this file with autoconf to produce a configure script.
 dnl AC_INIT(include/class.h) <- what is this ? -TimeMr14C
 
@@ -67,6 +67,17 @@
     AppleGCC=no
     ;;
 esac
+AC_MSG_CHECKING(if we are using Tru64 cc)
+case `$CC -V 2>&1 | head -1` in
+  *Tru64*)
+    AC_MSG_RESULT(success! We are using cc from Tru64.)
+    Tru64cc=yes
+    ;;
+  *)
+    AC_MSG_RESULT(no)
+    Tru64cc=no
+    ;;
+esac
 
 dnl SVR4 SGS based on what we know about the compiler -jmallett
 AC_MSG_CHECKING(if your compiler supports the SVR4 Software Generation System interfaces)
@@ -83,7 +94,7 @@
 #  Use this for development..
 #  IRC_CFLAGS="-O2 -g -Wunused -Wall -Wshadow -Wmissing-declarations"
    if test -z "$IRC_CFLAGS"; then
-       IRC_CFLAGS="-O2 -g "
+       IRC_CFLAGS="-s -O2 "
    fi
 else
   if test "x$TenDRA" = "xyes"; then
@@ -717,26 +728,9 @@
                 ]))
 ])
 
-dnl small-net
-AC_ARG_ENABLE(small-net,
-[  --enable-small-net           Enable small network support.
-  --disable-small-net          Disable small network support. ],
-[
-  case "$enableval" in
-  yes)
-    echo "Enabling small net code."
-    IRC_CFLAGS="$IRC_CFLAGS -DSMALL_NET=1"
-    ;;
-  no)
-    echo "Disabling small net code."
-    IRC_CFLAGS="$IRC_CFLAGS"
-    ;;
-  esac
-])
-
-ac_cv_nicklen="9"
-ac_cv_maxclients="3000"
-ac_cv_topiclen="120"
+ac_cv_nicklen="15"
+ac_cv_maxclients="226"
+ac_cv_topiclen="255"
 
 dnl Nicklen
 AC_ARG_WITH(nicklen,
@@ -745,7 +739,7 @@
 [
 	echo $withval
   if test "$withval" = "no"; then
-	ac_cv_nicklen="9"
+	ac_cv_nicklen="15"
   else
 	ac_cv_nicklen="$withval"
   fi
@@ -759,7 +753,7 @@
 
 [
   if test "$withval" = "no"; then
-	ac_cv_maxclients="3000"
+	ac_cv_maxclients="226"
   else
 	ac_cv_maxclients="$withval"
   fi
@@ -773,7 +767,7 @@
 
 [
   if test "$withval" = "no"; then
-	ac_cv_topiclen="120"
+	ac_cv_topiclen="255"
   else
 	ac_cv_topiclen="$withval"
   fi
@@ -863,6 +857,11 @@
 		PICFLAGS="+z -r -q -n +ESfic -c"
 		MOD_TARGET="hpux_shared"
 		LDFLAGS="${LDFLAGS} -Wl,-E"
+	fi
+	if test "$Tru64cc" = "yes"; then
+		AC_MSG_RESULT(Tru64 - Assuming Tru64 C compiler cc: -shared -expect_unresolved '*')
+		PICFLAGS="-shared -expect_unresolved '*'"
+		LDFLAGS="${LDFLAGS} -call_shared"
 	fi
 	if test -z "$PICFLAGS"; then
 		if test "$ac_cv_prog_gcc" = "yes"; then
diff -uNrd ircd-ratbox-1.5-2/autoconf/install-sh ircd-rb-FDF6.3a/autoconf/install-sh
--- ircd-ratbox-1.5-2/autoconf/install-sh	Wed Aug 25 23:36:21 1999
+++ ircd-rb-FDF6.3a/autoconf/install-sh	Mon Jan 19 22:25:59 2004
@@ -1,5 +1,5 @@
 #! /bin/sh
-# $Id: install-sh,v 7.1 1999/08/26 03:36:21 lusky Exp $
+# $Id: install-sh,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $
 # install - install a program, script, or datafile
 # This comes from X11R5 (mit/util/scripts/install.sh).
 #
